1. Welcome to skUnity!

    Welcome to skUnity! This is a forum where members of the Skript community can communicate and interact. Skript Resource Creators can post their Resources for all to see and use.

    If you haven't done so already, feel free to join our official Discord server to expand your level of interaction with the comminuty!

    Now, what are you waiting for? Join the community now!

  2. LOOKING FOR A VERSION OF SKRIPT?

    You can always check out our Wiki for downloads and any other information about Skript!

Dismiss Notice
This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Solved codes not working

Discussion in 'Skript' started by Deavil, Jun 8, 2019.

Thread Status:
Not open for further replies.
  1. Deavil

    Deavil Active Member

    Joined:
    Jun 4, 2019
    Messages:
    31
    Likes Received:
    0
    Thats the problem, idk how really, it doesn't give me any errors so i could know what to fix
     
  2. TPGamesNL

    Supporter

    Joined:
    Jan 20, 2018
    Messages:
    1,414
    Likes Received:
    89
    Medals:
    It will never happen that Skript doesn't load the scripts without giving any errors
     
  3. Deavil

    Deavil Active Member

    Joined:
    Jun 4, 2019
    Messages:
    31
    Likes Received:
    0
    It doesn't give me errors when i try to load it ingame but there is something in console, ill get back home and send a gyazo
    --- Double Post Merged, Jun 9, 2019, Original Post Date: Jun 9, 2019 ---
    just tried with this version of skript, i got this error in console from tuske,
    Code ( (Unknown Language)):
    1.  
    2. [20:10:08 ERROR]: #!#! [Skript] Severe Error:
    3. [20:10:08 ERROR]: #!#! TuSKe's class com.github.tukenuke.tuske.effects.EffMakeDrop generated an exception while loading
    4. [20:10:08 ERROR]: #!#!
    5. [20:10:08 ERROR]: #!#! Something went horribly wrong with Skript.
    6. [20:10:08 ERROR]: #!#! This issue is NOT your fault! You probably can't fix it yourself, either.
    7. [20:10:08 ERROR]: #!#! Your Minecraft version or server software appears to be unsupported by Skript (bensku's version).
    8. [20:10:08 ERROR]: #!#! Currently only supported servers are Spigot and its forks for Minecraft 1.9 or newer.
    9. [20:10:08 ERROR]: #!#! Other versions might work, but since you're getting this error message something is NOT working,
    10. [20:10:08 ERROR]: #!#! nor it will work, unless you switch to supported platform.
    11. [20:10:08 ERROR]: #!#! Issue tracker: https://github.com/SkriptLang/Skript/issues (only if you know what you're doing!)
    12. [20:10:08 ERROR]: #!#!
    13. [20:10:08 ERROR]: #!#! Stack trace:
    14. [20:10:08 ERROR]: #!#! java.lang.NullPointerException
    15. [20:10:08 ERROR]: #!#!     at com.github.tukenuke.tuske.effects.EffMakeDrop.<clinit>(EffMakeDrop.java:25)
    16. [20:10:08 ERROR]: #!#!     at java.lang.Class.forName0(Native Method)
    17. [20:10:08 ERROR]: #!#!     at java.lang.Class.forName(Unknown Source)
    18. [20:10:08 ERROR]: #!#!     at ch.njol.skript.SkriptAddon.loadClasses(SkriptAddon.java:108)
    19. [20:10:08 ERROR]: #!#!     at com.github.tukenuke.tuske.TuSKe.onEnable(TuSKe.java:100)
    20. [20:10:08 ERROR]: #!#!     at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321)
    21. [20:10:08 ERROR]: #!#!     at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340)
    22. [20:10:08 ERROR]: #!#!     at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405)
    23. [20:10:08 ERROR]: #!#!     at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:357)
    24. [20:10:08 ERROR]: #!#!     at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:317)
    25. [20:10:08 ERROR]: #!#!     at net.minecraft.server.v1_8_R3.MinecraftServer.s(MinecraftServer.java:414)
    26. [20:10:08 ERROR]: #!#!     at net.minecraft.server.v1_8_R3.MinecraftServer.k(MinecraftServer.java:378)
    27. [20:10:08 ERROR]: #!#!     at net.minecraft.server.v1_8_R3.MinecraftServer.a(MinecraftServer.java:333)
    28. [20:10:08 ERROR]: #!#!     at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:263)
    29. [20:10:08 ERROR]: #!#!     at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525)
    30. [20:10:08 ERROR]: #!#!     at java.lang.Thread.run(Unknown Source)
    31. [20:10:08 ERROR]: #!#!
    32. [20:10:08 ERROR]: #!#! Version Information:
    33. [20:10:08 ERROR]: #!#!   Skript: 2.2-dev36
    34. [20:10:08 ERROR]: #!#!   Bukkit: 1.8.8-R0.1-SNAPSHOT
    35. [20:10:08 ERROR]: #!#!   Minecraft: 1.8.8
    36. [20:10:08 ERROR]: #!#!   Java: 1.8.0_201 (Java HotSpot(TM) 64-Bit Server VM 25.201-b09)
    37. [20:10:08 ERROR]: #!#!   OS: Windows 10 amd64 10.0
    38. [20:10:08 ERROR]: #!#!
    39. [20:10:08 ERROR]: #!#! Server platform: Spigot
    40. [20:10:08 ERROR]: #!#!
    41. [20:10:08 ERROR]: #!#! Current node: null
    42. [20:10:08 ERROR]: #!#! Current item: null
    43. [20:10:08 ERROR]: #!#!
    44. [20:10:08 ERROR]: #!#! Thread: Server thread
    45. [20:10:08 ERROR]: #!#!
    46. [20:10:08 ERROR]: #!#! Language: english
    47. [20:10:08 ERROR]: #!#! Link parse mode: DISABLED
    48. [20:10:08 ERROR]: #!#!
    49. [20:10:08 ERROR]: #!#! End of Error.
    50.  
    this is what i used to get with skripts trying to load aswell but for some reason it loaded fine, this is on my test server
     
  4. TPGamesNL

    Supporter

    Joined:
    Jan 20, 2018
    Messages:
    1,414
    Likes Received:
    89
    Medals:
    That is due to an outdated TuSKe version, use https://github.com/Pikachu920/TuSKe/releases/tag/1.8.2-Patch-3
     
  5. Deavil

    Deavil Active Member

    Joined:
    Jun 4, 2019
    Messages:
    31
    Likes Received:
    0
    ok, however the head still wont place on the fence
     
  6. TPGamesNL

    Supporter

    Joined:
    Jan 20, 2018
    Messages:
    1,414
    Likes Received:
    89
    Medals:
    So the scripts did load now?
     
  7. Deavil

    Deavil Active Member

    Joined:
    Jun 4, 2019
    Messages:
    31
    Likes Received:
    0
    yes, on my test server, it loaded and all the stuff work except the head being placed on the fence
     
  8. TPGamesNL

    Supporter

    Joined:
    Jan 20, 2018
    Messages:
    1,414
    Likes Received:
    89
    Medals:
    Send your code.
     
  9. Deavil

    Deavil Active Member

    Joined:
    Jun 4, 2019
    Messages:
    31
    Likes Received:
    0
    Code (Skript):
    1.  
    2. on death:
    3.    victim is a player
    4.    if {dhead} is "floor":
    5.        set {_head} to skull of "%victim%" parsed as offlineplayer
    6.        drop {_head} named "%victim%'s Head" at location of victim
    7.    else if {dhead} is "fence":
    8.        set {_location} to victim's location
    9.        set {_x} to x coord of {_location}
    10.        set {_y} to y coord of {_location}
    11.        set {_y} to {_y} +1
    12.        set {_z} to z coord of {_location}
    13.        set {_location2} to location {_x}, {_y}, {_z} in world of victim
    14.        set block at {_location} to nether brick fence
    15.        set block at ({_location} ~ vector(0, 1, 0)) to skull of victim
    16.  
    --- Double Post Merged, Jun 9, 2019, Original Post Date: Jun 9, 2019 ---
    i just tried loading my whitelist skript on my main server and i got this error on console:
    Code ( (Unknown Language)):
    1.  
    2. > [19:56:59 ERROR]: #!#! [Skript] Severe Error:
    3. > [19:56:59 ERROR]: #!#! Could not load whitelist.sk
    4. > [19:56:59 ERROR]: #!#!
    5. > [19:56:59 ERROR]: #!#! Something went horribly wrong with Skript.
    6. > [19:56:59 ERROR]: #!#! This issue is NOT your fault! You probably can't fix it yourself, either.
    7. > [19:56:59 ERROR]: #!#! Your Minecraft version or server software appears to be unsupported by Skript (bensku's version).
    8. > [19:56:59 ERROR]: #!#! Currently only supported servers are Spigot and its forks for Minecraft 1.9 or newer.
    9. > [19:56:59 ERROR]: #!#! Other versions might work, but since you're getting this error message something is NOT working,
    10. > [19:56:59 ERROR]: #!#! nor it will work, unless you switch to supported platform.
    11. > [19:56:59 ERROR]: #!#! Issue tracker: https://github.com/SkriptLang/Skript/issues (only if you know what you're doing!)
    12. > [19:56:59 ERROR]: #!#!
    13. > [19:56:59 ERROR]: #!#! Stack trace:
    14. > [19:56:59 ERROR]: #!#! ch.njol.skript.SkriptAPIException: No class info found for lambda
    15. > [19:56:59 ERROR]: #!#! at ch.njol.skript.registrations.Classes.getClassInfo(Classes.java:263)
    16. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.createExprInfo(SkriptParser.java:1804)
    17. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.getExprInfo(SkriptParser.java:1771)
    18. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse_i(SkriptParser.java:1519)
    19. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:225)
    20. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:180)
    21. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parseSingleExpr(SkriptParser.java:495)
    22. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parseExpression(SkriptParser.java:814)
    23. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse_i(SkriptParser.java:1535)
    24. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse_i(SkriptParser.java:1465)
    25. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse_i(SkriptParser.java:1492)
    26. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse_i(SkriptParser.java:1531)
    27. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse_i(SkriptParser.java:1492)
    28. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:225)
    29. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:180)
    30. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.Condition.parse(Condition.java:81)
    31. > [19:56:59 ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadItems(ScriptLoader.java:1051)
    32. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.TriggerSection.<init>(TriggerSection.java:54)
    33. > [19:56:59 ERROR]: #!#! at ch.njol.skript.lang.Conditional.<init>(Conditional.java:44)
    34. > [19:56:59 ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadItems(ScriptLoader.java:1058)
    35. > [19:56:59 ERROR]: #!#! at ch.njol.skript.command.Commands.loadCommand(Commands.java:500)
    36. > [19:56:59 ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadScript(ScriptLoader.java:621)
    37. > [19:56:59 ERROR]: #!#! at ch.njol.skript.ScriptLoader.lambda$1(ScriptLoader.java:389)
    38. > [19:56:59 ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadScripts(ScriptLoader.java:401)
    39. > [19:56:59 ERROR]: #!#! at ch.njol.skript.ScriptLoader.lambda$0(ScriptLoader.java:331)
    40. > [19:56:59 ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadScripts(ScriptLoader.java:361)
    41. > [19:56:59 ERROR]: #!#! at ch.njol.skript.Skript$2.run(Skript.java:490)
    42. > [19:56:59 ERROR]: #!#! at org.bukkit.craftbukkit.v1_8_R3.scheduler.CraftTask.run(CraftTask.java:71)
    43. > [19:56:59 ERROR]: #!#! at org.bukkit.craftbukkit.v1_8_R3.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:350)
    44. > [19:56:59 ERROR]: #!#! at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:723)
    45. > [19:56:59 ERROR]: #!#! at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:374)
    46. > [19:56:59 ERROR]: #!#! at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:654)
    47. > [19:56:59 ERROR]: #!#! at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:557)
    48. > [19:56:59 ERROR]: #!#! at java.lang.Thread.run(Thread.java:748)
    49. > [19:56:59 ERROR]: #!#!
    50. > [19:56:59 ERROR]: #!#! Version Information:
    51. > [19:56:59 ERROR]: #!#! Skript: 2.2-dev36
    52. > [19:56:59 ERROR]: #!#! Bukkit: 1.8.8-R0.1-SNAPSHOT
    53. > [19:56:59 ERROR]: #!#! Minecraft: 1.8.8
    54. > [19:56:59 ERROR]: #!#! Java: 1.8.0_212 (OpenJDK 64-Bit Server VM 25.212-b01)
    55. > [19:56:59 ERROR]: #!#! OS: Linux amd64 4.15.0-50-generic
    56. > [19:56:59 ERROR]: #!#!
    57. > [19:56:59 ERROR]: #!#! Server platform: Spigot
    58. > [19:56:59 ERROR]: #!#!
    59. > [19:56:59 ERROR]: #!#! Current node: if {whitelist} is false: (whitelist.sk, line 20)
    60. > [19:56:59 ERROR]: #!#! Current item: null
    61. > [19:56:59 ERROR]: #!#!
    62. > [19:56:59 ERROR]: #!#! Thread: Server thread
    63. > [19:56:59 ERROR]: #!#!
    64. > [19:56:59 ERROR]: #!#! Language: english
    65. > [19:56:59 ERROR]: #!#! Link parse mode: DISABLED
    66. > [19:56:59 ERROR]: #!#!
    67. > [19:56:59 ERROR]: #!#! End of Error.
    68.  

    do i need to update any of my addons or all of them?
     
  10. TPGamesNL

    Supporter

    Joined:
    Jan 20, 2018
    Messages:
    1,414
    Likes Received:
    89
    Medals:
    If you have SkQuery, update it
     
  11. Deavil

    Deavil Active Member

    Joined:
    Jun 4, 2019
    Messages:
    31
    Likes Received:
    0
    i still got the error even after updating skquery
    --- Double Post Merged, Jun 10, 2019, Original Post Date: Jun 9, 2019 ---
    Bump
    --- Double Post Merged, Jun 10, 2019 ---
    it didn't work
    bump
     
  12. Florenthz

    Florenthz Member

    Joined:
    Dec 5, 2017
    Messages:
    10
    Likes Received:
    0
    Hi there, how can I open a new post?
     
Thread Status:
Not open for further replies.
Loading...